# 关联 Kibana 与 Elasticsearch

原文链接 : [https://www.elastic.co/guide/en/kibana/5.2/connect-to-elasticsearch.html](https://www.elastic.co/guide/en/kibana/5.2/connect-to-elasticsearch.html)

译文链接 : [http://www.apache.wiki/pages/viewpage.action?pageId=8159444](http://www.apache.wiki/pages/viewpage.action?pageId=8159444)

贡献者 : [那伊抹微笑](/display/~wangyangting)，[ApacheCN](/display/~apachecn)，[Apache中文网](/display/~apachechina)

在您可以开始使用 **Kibana** 之前，您需要告诉它要探索哪个 **Elasticsearch** 索引。在第一次访问 **Kibana **时，系统会提示您定义匹配一个或多个索引的名称的 **_index pattern（__索引模式）_**。就是这样，这就是开始使用 **Kibana **所需要的全部配置。您可以随时从“[管理Management” 选项卡](https://www.elastic.co/guide/en/kibana/5.2/index-patterns.html#settings-create-pattern "创建要连接到Elasticsearchedit的索引模式") 添加 **_index pattern（__索引模式）_**。

建议 :

默认情况下，**Kibana** 连接到运行的 **Elasticsearch** 实例为 **`localhost`**。要连接到其它 **Elasticsearch** 实例，请修改 **`kibana.yml` **配置文件中的 **Elasticsearch** **URL**，然后重新启动 **Kibana**。有关在生产节点中使用 **Kibana** 的细节，请参阅 [在生产环境中使用 Kibana](https://www.elastic.co/guide/en/kibana/5.2/production.html "Using Kibana in a Production Environment")。

以下为使用 **Kibana** 配置访问指定索引的步骤 : 

1.  将浏览器指向端口 **5601** 以访问 **Kibana** **UI**。例如，`**localhost:5601** `或 **`http://YOURDOMAIN.com:5601`**。
    1.  ![](/download/attachments/8159444/~J%5D7F1H%5B88VJ~2~M0Y0%5BHNV.png?version=1&modificationDate=1489389555000&api=v2)

2.  指定匹配一个或多个索引的名称的 **_index pattern（__索引模式）_**。默认情况下，**Kibana** 猜测你正在使用 **Logstash** 提供给 **Elasticsearch** 的数据。如果是这样，您可以使用默认值 **`logstash-* `**作为 **_index pattern（__索引模式）_**。星号**（*）**匹配索引名称中的零个或多个字符。如果您的 **Elasticsearch **索引遵循某些其他命名约定，请输入适当的 **pattern**（模式）。“**pattern**（模式）”也可以简单地是单个索引的名称。
3.  选择包含要用于执行基于时间的比较的时间戳的索引字段。**Kibana **读取索引映射以列出包含 **timestamp**（时间戳）的所有字段。如果您的索引没有基于时间的数据，请禁用 “**Index contains time-based events**（包含基于时间的事件的索引）” 选项。

    警告 :

    使用事件时间创建索引名称在此版本的 **Kibana** 中已弃用。对该功能的支持将在下一个主要的 **Kibana** 版本中完全删除。**Elasticsearch 2.1** 包括复杂的日期解析 **API**，**Kibana** 用于确定日期信息，无需在索引模式名称中指定日期。

4.  单击 **Create（创建）**以添加索引模式。此第一个模式将自动配置为默认模式。当您有多个索引模式时，可以通过单击 “**Management（****管理）**” &gt; “**Index Patterns（索引模式）**” 中索引模式标题上方的星形图标来指定要使用哪个索引模式。

以上步骤全部完成之后，**Kibana** 现在已经与 **Elasticsearch** 中的数据完成关联了。**Kibana** 针对 **matching** **index** 的配置来展示一个只读的字段列表。

注意 :

**Kibana** 依靠动态映射机制在可视化中使用字段并管理`**.kibana**` 索引。如果已禁用动态映射，则需要手动提供 **Kibana** 用于创建可视化的字段的映射。有关详细信息，请参阅 [Kibana 与 Elasticsearch 动态映射](https://www.elastic.co/guide/en/kibana/5.2/connect-to-elasticsearch.html#kibana-dynamic-mapping "Kibana和Elasticsearch Dynamic Mappingedit")。

### 开始探索数据

您已经准备好开始了解数据了 : 

1.  从 [Discover（发现）](https://www.elastic.co/guide/en/kibana/5.2/discover.html "Discover")页面以交互式的方式搜索和浏览数据。
2.  从 [Visualize（可视化）](https://www.elastic.co/guide/en/kibana/5.2/visualize.html "Visualize")页面绘制并映射数据。
3.  从 [Dashboard（仪表盘）](https://www.elastic.co/guide/en/kibana/5.2/dashboard.html "Dashboard")页面创建并且浏览自定义的 **dashboard**（仪表盘）。

有关这些核心 **Kibana **概念的分步介绍，请参阅 [入门指南](http://www.apache.wiki/pages/viewpage.action?pageId=8159510) 教程。

### Kibana 与 Elasticsearch 动态映射

默认情况下，**Elasticsearch **为字段启用了 [动态映射](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/dynamic-mapping.html)。**Kibana **需要动态映射以在可视化中正确的使用字段，以及管理存储了已保存的搜索，可视化和仪表板的 `**.kibana** `索引。

如果您的 **Elasticsearch **用例需要您禁用动态映射，您需要手动提供 **Kibana** 用于创建可视化的字段的映射。您还需要为 **`.kibana `**索引手动启用动态映射。

以下过程假设 `**.kibana** `索引在 **Elasticsearch **中不存在，并且在 **elasticsearch.yml** 文件中 `**index.mapper.dynamic** 属性`设置为 `**false** : `

1.  启动 **Elasticsearch**。
2.  创建 **.kibana** 索引并且启用动态映射。

    ```
    PUT .kibana
    {
      "index.mapper.dynamic": true
    }
    ```

3.  启动 **Kibana **并导航到 **Web UI**，然后验证是否没有与动态映射相关的错误消息。