# 使用 .tar.gz 的方式安装 Kibana

原文链接 : [https://www.elastic.co/guide/en/kibana/5.2/targz.html](https://www.elastic.co/guide/en/kibana/5.2/targz.html)

译文链接 : [http://www.apache.wiki/pages/viewpage.action?pageId=8159428](http://www.apache.wiki/pages/viewpage.action?pageId=8159428)

贡献者 : [那伊抹微笑](/display/~wangyangting)，[ApacheCN](/display/~apachecn)，[Apache中文网](/display/~apachechina)

**Kibana** 针对 **Linux** 和 **Darwin** 平台提供了软件包。这些软件包是使用 **Kibana** 最简单的格式。

最新稳定版的 **Kibana** 可以在 [下载 Kibana](https://www.elastic.co/downloads/kibana) 页面中找到。其它版本可以在 [历史版本页面](https://www.elastic.co/downloads/past-releases) 中找到。

### 下载并且安装 Linix 64 位的软件包

针对 **Kibana v5.2.2** 的 **Linux** **64** 位档案可以使用下面的命令来下载以及安装 : 

```
wget https://artifacts.elastic.co/downloads/kibana/kibana-5.2.2-linux-x86_64.tar.gz
sha1sum kibana-5.2.2-linux-x86_64.tar.gz # 1
tar -xzf kibana-5.2.2-linux-x86_64.tar.gz
cd kibana/ # 2
```

| 1 | 使用 [发布的 SHA](https://artifacts.elastic.co/downloads/kibana/kibana-5.2.1-linux-x86_64.tar.gz.sha1) 来比较 **sha1sum** 或 **shasum** 生成的 **SHA** |
| 2 | 此目录称为 **`$KIBANA_HOME`.** |

### 下载并且安装 Linix 32 位的软件包

针对 **Kibana v5.2.2** 的 **Linux** **32** 位档案可以使用下面的命令来下载以及安装 : 

```
wget https://artifacts.elastic.co/downloads/kibana/kibana-5.2.2-linux-x86.tar.gz
sha1sum kibana-5.2.2-linux-x86.tar.gz # 1
tar -xzf kibana-5.2.2-linux-x86.tar.gz
cd kibana/ # 2
```

| 1 | 使用 [发布的 SHA](https://artifacts.elastic.co/downloads/kibana/kibana-5.2.1-linux-x86_64.tar.gz.sha1) 来比较 **sha1sum** 或 **shasum** 生成的 **SHA** |
| 2 | 此目录称为 **`$KIBANA_HOME`.** |

### 下载并且安装 Darwin 软件包

针对 **Kibana v5.2.2** 的 **Darwin **档案可以使用下面的命令来下载以及安装 : 

```
wget https://artifacts.elastic.co/downloads/kibana/kibana-5.2.2-darwin-x86_64.tar.gz
shasum kibana-5.2.2-darwin-x86_64.tar.gz # 1
tar -xzf kibana-5.2.2-darwin-x86_64.tar.gz
cd kibana/ # 2
```

| 1 | 使用 [发布的 SHA](https://artifacts.elastic.co/downloads/kibana/kibana-5.2.1-linux-x86_64.tar.gz.sha1) 来比较 **sha1sum** 或 **shasum** 生成的 **SHA** |
| 2 | 此目录称为 **`$KIBANA_HOME`.** |

### 从命令行运行 Kibana

**Kibana** 可以从命令行通过如下的命令来启动 : 

```
./bin/kibana
```

默认情况下，**Kibana** 在前台运行，会打印它自己的日志到标准输出（**stdout**），并且可以通过按下 **Ctrl-C** 来停止 **Kibana**。

### 通过配置文件配置 Kibana

默认情况下 **Kibana** 从 **$KIBANA_HOME/config/kibana.yml** 加载它的配置。此配置文件的格式在 [配置 Kibana](/pages/viewpage.action?pageId=8159438) 中进行了说明。

### .tar.gz 档案的目录布局

该 **.tar.gz** 软件包是完全自包含的。 默认情况下，所有文件和目录都包含在 **$KIBANA_HOME** - 解压缩归档时创建的目录。

这是非常方便的，因为在开始使用 **Kibana** 时你不必创建任何目录，卸载 **Kibana **就像删除 **$KIBANA_HOME **目录一样简单。 但是，建议更改配置和数据目录的默认位置，以便以后不会删除重要的数据。

| 类型 | 说明 | 默认位置 | 设置 |
| --- | --- | --- | --- |
| **home** | **Kibana** 主目录或者 `**$KIBANA_HOME**` | 解压缩归档时创建的目录 |   |
| **bin** | 二进制脚本， 包括用于启动 **Kibana** **server** 的 **kibana** 和用于安装插件的 **`kibana-plugin`** | `$KIBANA_HOME\bin` |   |
| **config** | 配置文件，包括 `**kibana.yml**。` | `$KIBANA_HOME\config` |   |
| **data** | **Kibana** 以及它的插件写入磁盘的数据文件的位置。 | `$KIBANA_HOME\data` |   |
| **optimize** | **Transpiled** 源代码。 某些管理操作（例如。插件安装）导致源代码被即时的 **retranspiled**。 | `$KIBANA_HOME\optimize` |   |
| **plugins** | 插件文件位置. 每个插件将会包含在一个子目录中。 | `$KIBANA_HOME\plugins` |   |