# Line Charts（折线图）

原文链接 : [https://www.elastic.co/guide/en/kibana/5.2/line-chart.html](https://www.elastic.co/guide/en/kibana/5.2/line-chart.html)

译文链接 : [http://www.apache.wiki/pages/viewpage.action?pageId=9404639](http://www.apache.wiki/pages/viewpage.action?pageId=9404639)

贡献者 : [stealthsYang](/display/~yangqin)，[那伊抹微笑](/display/~wangyangting)，[ApacheCN](/display/~apachecn)，[Apache中文网](/display/~apachechina)

该图表的 **Y** 轴是 **metrics**（度量）轴，下面的聚合适用于这个轴线 : 

**Count**

该_[count](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-metrics-valuecount-aggregation.html) _聚合返回所选择的索引模式中元素的原始数量。

**Average**

该聚合返回了数值字段的 _[average](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-metrics-avg-aggregation.html)_（平均值）。从下拉列表中选择字段。

**Sum**

该 _[sum ](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-metrics-sum-aggregation.html)_聚合返回了数值字段的总和。从下拉列表中选择字段。

**Min**

该 _[min](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-metrics-min-aggregation.html)_[ ](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-metrics-sum-aggregation.html)聚合返回了数值字段的最小值。从下拉列表中选择字段。

**Max**

该 _[max](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-metrics-max-aggregation.html)_ 聚合返回了数值字段的最大值。从下拉列表中选择字段。

**Unique Count**

该 _[cardinality](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-metrics-cardinality-aggregation.html) _聚合返回了字段的唯一值的数量。从下拉列表中选择字段。

**Standard Deviation**

该_[extended stats](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-metrics-extendedstats-aggregation.html) _聚合返回数字字段中数据的标准偏差。从下拉列表中选择字段。

**Percentiles**

该 _[percentile](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-metrics-percentile-aggregation.html) _聚合将数值字段中的值划分为您指定的百分位位置。 从下拉列表中选择字段，然后在 “**Percentiles**（百分位数）” 字段中指定一个或多个范围。 单击 **X **删除百分位数字段。 单击 **+** **Add** 来添加百分位数字段。（请参考 : [百分位数](http://baike.baidu.com/link?url=M58MPmV0qy97MvgQTB2zgmXokIXtMrHCVrc-tF7pa8fCAPk4RiB4PDO5tW7l2-Jk3EXNWGfxBAfJKTsSOi9n2zuFblgewOXkb1MWkYYolK83fRJF3O2hB_vnQHjVB2ZPqSSkj4ZajroVUcTO3p6es1SjRXxJIzdcxuwAhRUs0ZhSLdnt1xcGG7vCKMBeb3Ol)）

**Percentile Rank**

该 _[percentile ranks](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-metrics-percentile-rank-aggregation.html) _百分位数排名聚合返回您指定的数字字段中值的百分位数排名。 从下拉列表中选择数值字段，然后在 “**Values**（值）” 字段中指定一个或多个百分位数的值。 单击 **X **以删除值字段。 单击 **+ Add** 来添加值字段。

您可以通过单击 **+ Add Metrics **按钮添加聚合。

在 **Custom** **Label**（自定义标签）字段中输入字符串以更改显示标签。

在选择一个桶聚合之前，请指定是在单个图表中分割切片还是分割成多个图表。 多重图表拆分必须在任何其他聚合之前运行。 分割图表时，您可以通过单击行|来更改分割显示在 **Rows**（行）或 **Columns**（列）中列选择器。

该图表的 **X** 轴是水平轴。 您可以为 **X** 轴定义 **_buckets_**_（_桶），例如图表上的 **split area**，或者 **split charts**。

此图表的 **X** 轴支持以下聚合。单击每个聚合的链接名称，以访问该聚合基础的** Elasticsearch** 文档。

**Date Histogram**

一个 _[date histogram](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-bucket-datehistogram-aggregation.html) _是由数值字段构成并按照日期进行组合，您可以为日期直方图设置秒、分钟、小时、天、周、月或者年为间隔指定时间范围。同时你也可以选择自定义作为间隔并在文本字段中来指定数字和时间单位来指定自定义间隔帧。自定义间隔时间单位为秒，**m** 为分钟，**h **为小时，**d **为天，**w **为周，**y **为年.不同的时间单位支持不同的精度，精度值可以低至于一秒钟。

**Histogram**

标准的 _[histogram](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-bucket-histogram-aggregation.html) _从数值字段构建。为此字段指定整数间隔。您选择 **Show empty buckets**（显示的空桶）复选框可以在直方图表中包含空白区域。

**Range**

使用 _[range](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-bucket-range-aggregation.html) _聚合，您可以为数值字段的值指定范围。点击 **Add Range**（添加范围）您可以添加一组范围。单击红色的 **(X)** 符号您可以删除之前设置过的范围。

**Date Range**

一个 _[date range](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-bucket-daterange-aggregation.html) _聚合报告在您指定的日期范围内的值。您可以使用日期数学表达式指定日期的范围。点击 **Add Range**（添加范围）您可以添加一组范围。单击红色的 **(X)** 符号您可以删除之前设置过的范围。

**IPv4 Range**

该 _[IPv4 range](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-bucket-iprange-aggregation.html) _聚合可以指定IPv4地址范围。点击 **Add Range**（添加范围）您可以添加一组范围。单击红色的 **(X)** 符号您可以删除之前设置过的范围。

**Terms**

一个 _[terms](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-bucket-terms-aggregation.html) _聚合使您能够指定要显示的给定字段的顶部或底部 **n** 个元素，按 **count **或自定义度量进行排序。

**Filters**

您可以为数据指定一组 **filter**（过滤器）。您可以将过滤器指定为 **query** **string**（查询字符串）或 **JSON** 格式，就像在我们在 **Discover search bar**（搜索栏）中的过滤是一样的。单击** Add Filter**（添加过滤器）以添加其他过滤器。单击 ![](/download/attachments/9404639/LC~Q%60XDH6LBF9S%60%60JLOE6XM.png?version=1&modificationDate=1490691094000&api=v2) **label** 标签按钮图标可以打开标签字段，您可以在其中输入您需要在可视化文件上显示的名称。

**Significant Terms**

展示_ [significant terms](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-bucket-significantterms-aggregation.html) _聚合实验性的结果。

一旦您指定了 **X** 轴的聚合，就可以定义 ** sub-aggregations**（子聚合）用来细化可视化。点击** + Add Sub Aggregation**（添加子聚合）以定义子聚合，然后选择 **Split Area**（拆分面积）或 **Split Chart**（拆分图表），然后从类型列表中选择子聚合。

当在图表的轴上定义多个聚合时，您可以使用聚合类型右侧的向上或向下箭头来更改聚合的优先级。

在 **Custom Label**（自定义标签）字段中输入字符串以更改显示标签。 

您可以通过单击每个标签旁边的颜色点来定制可视化的颜色，以显示颜色选择器。

![](/download/attachments/9404639/color-picker.png?version=1&modificationDate=1490691094000&api=v2)

您可以单击 **Advanced**（高级）链接，以显示更多的自定义选项，用于衡量指标或存储段聚合 : 

**Exclude Pattern**

在此字段中指定要从结果中排除的模式。

**Exclude Pattern Flags**

 排除模式的一组标准的 **Java flags**。

**Include Pattern**

在当前字段中指定要包括在结果中的模式

**Include Pattern Flags**

 包含模式的一组标准的 **Java flags**。

**JSON Input**

一个文本字段，您可以在其中添加特定的JSON格式的属性以与聚合定义进行合并，如以下示例所示 : 

![](/download/attachments/9404639/QQ%E6%88%AA%E5%9B%BE20170303162321.png?version=1&modificationDate=1490691094000&api=v2)

注意 :

在 **Elasticsearch 1.4.3** 及更高版本中，此功能需要您启用 [动态Groovy脚本](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/modules-scripting.html)。

这些选项的可用性取决于您选择的聚合。

选择 **Options**（选项）标签以更改图表的以下方面 : 

**Y-Axis Scale**

您可以为图表的Y轴选择 **linear**（线性），**log**（日志）或 **square** **root**（平方根刻度）。 您可以使用日志量表来显示以指数方式变化的数据，例如复利利息图表或平方根量表，以使数据集显示变量本身非常可变。 可变性本身在被检查的域上可变的这种数据被称为异方差数据。 例如，如果高度与重量的数据集在高端的短端具有相对较窄的变异范围，而在较高端具有较宽的范围，则数据集是异方差的。

**Line Mode**

您可以选择直线，平滑线和阶梯线。

**Show Connecting Lines**

选中此框以在图表上的点之间绘制线条。

**Show Circles**

选中此框将图表上的每个数据点绘制为一个小圆圈。

**Current time marker**

对于时间序列数据的图表，选中此框可以在当前时间画一条红线。

**Set Y-Axis Extents**

选中这个框，并在 **y-max** 和 **y-min** 字段中输入值可以将 **Y **轴设置为特定值。

**Show Tooltip**

选中这个框可以启用工具提示。

**Scale Y-Axis to Data Bounds**

**Y** 轴默认边界为零，并且数据中返回的最大值。 选中这个框可更改上限和下限，用来匹配数据中返回的值。

**Order buckets by descending sum**

选中这个框可以通过可视化中的总和递减对桶进行排序。

更改选项后，单击 **Apply** **changes**（应用更改）按钮更新您的可视化，或灰色的 **Discard** **changes**（丢弃更改）按钮，使您的可视化状态保持当前状态。

#### Bubble Charts（气泡图）

您可以通过执行以下步骤将折线图可视化转换为气泡图 : 

1.  单击可视化的 **Y** 轴的 **Add** **Metrics**（添加度量），然后选择 **Dot** **Size**（圆点大小）。
2.  从下拉列表中选择一个指标聚合。
3.  在选项选项卡中，取消选中显示连接线框。
4.  点击 **Apply changes**（应用更改） 按钮。

#### 查看详细信息

要显示可视化后面的原始数据，请单击容器底部的栏。 标签栏有关于原始数据的详细信息的选项卡替换可视化

**Table.** 基础数据的表示，显示为分页数据网格。 您可以通过单击每个列顶部的表标题来对表中的项进行排序

**Request. **用于查询服务器的原始请求，以 **JSON **格式显示。

**Response.** 来自服务器的原始响应，以 **JSON **格式显示。

**Statistics. **与请求和响应相关的统计信息的摘要，以数据网格形式显示。 数据网格包括查询持续时间，

请求持续时间，在服务器上找到的记录的总数以及用于进行查询的索引模式

要将可视化后面的原始数据作为逗号分隔值（**CSV**）文件导出，请单击任何详

细信息选项卡底部的 **Raw**（原始）或 **Formatted**（格式化）链接。 原始导出包含存储在 **Elasticsearch **中的数据。 格式化导出包含任何适用的 **Kibana **字段格式化程序的结果。