# Metric（度量）

原文链接 : [https://www.elastic.co/guide/en/kibana/5.2/metric-chart.html](https://www.elastic.co/guide/en/kibana/5.2/metric-chart.html)

译文链接 : [http://www.apache.wiki/pages/viewpage.action?pageId=9404646](http://www.apache.wiki/pages/viewpage.action?pageId=9404646)

贡献者 : [stealthsYang](/display/~yangqin)，[那伊抹微笑](/display/~wangyangting)，[ApacheCN](/display/~apachecn)，[Apache中文网](/display/~apachechina)

一个 **metric**（度量）可视化展示您所选每个聚合的单个数字 : 

**Count**

该_[count](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-metrics-valuecount-aggregation.html) _聚合返回所选择的索引模式中元素的原始数量。

**Average**

该聚合返回了数值字段的 _[average](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-metrics-avg-aggregation.html)_（平均值）。从下拉列表中选择字段。

**Sum**

该 _[sum ](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-metrics-sum-aggregation.html)_聚合返回了数值字段的总和。从下拉列表中选择字段。

**Min**

该 _[min](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-metrics-min-aggregation.html)_[ ](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-metrics-sum-aggregation.html)聚合返回了数值字段的最小值。从下拉列表中选择字段。

**Max**

该 _[max](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-metrics-max-aggregation.html)_ 聚合返回了数值字段的最大值。从下拉列表中选择字段。

**Unique Count**

该 _[cardinality](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-metrics-cardinality-aggregation.html) _聚合返回了字段的唯一值的数量。从下拉列表中选择字段。

**Standard Deviation**

该_[extended stats](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-metrics-extendedstats-aggregation.html) _聚合返回数字字段中数据的标准偏差。从下拉列表中选择字段。

**Percentiles**

该 _[percentile](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-metrics-percentile-aggregation.html) _聚合将数值字段中的值划分为您指定的百分位位置。 从下拉列表中选择字段，然后在 “**Percentiles**（百分位数）” 字段中指定一个或多个范围。 单击 **X **删除百分位数字段。 单击 **+** **Add** 来添加百分位数字段。（请参考 : [百分位数](http://baike.baidu.com/link?url=M58MPmV0qy97MvgQTB2zgmXokIXtMrHCVrc-tF7pa8fCAPk4RiB4PDO5tW7l2-Jk3EXNWGfxBAfJKTsSOi9n2zuFblgewOXkb1MWkYYolK83fRJF3O2hB_vnQHjVB2ZPqSSkj4ZajroVUcTO3p6es1SjRXxJIzdcxuwAhRUs0ZhSLdnt1xcGG7vCKMBeb3Ol)）

**Percentile Rank**

该 _[percentile ranks](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/search-aggregations-metrics-percentile-rank-aggregation.html) _百分位数排名聚合返回您指定的数字字段中值的百分位数排名。 从下拉列表中选择数值字段，然后在 “**Values**（值）” 字段中指定一个或多个百分位数的值。 单击 **X **以删除值字段。 单击 **+ Add** 来添加值字段。

您可以通过单击 **+ Add Metrics **按钮添加聚合。

在 **Custom** **Label**（自定义标签）字段中输入字符串以更改显示标签。

您可以点击 **Advanced**（高级）链接来展示更多的自定义选项 : 

**JSON Input**

一个文本字段，您可以在其中添加特定的JSON格式的属性以与聚合定义进行合并，如以下示例所示 : 

![](/download/attachments/9404646/QQ%E6%88%AA%E5%9B%BE20170303162321.png?version=1&modificationDate=1490692162000&api=v2)

注意 :

在 **Elasticsearch 1.4.3** 及更高版本中，此功能需要您启用 [动态Groovy脚本](https://www.elastic.co/guide/en/elasticsearch/reference/5.2/modules-scripting.html)。

这些选项的可用性取决于您选择的聚合。

点击 **Options**（选项）标签以展示字体大小。

#### 查看详细信息

要显示可视化后面的原始数据，请单击容器底部的栏。 标签栏有关于原始数据的详细信息的选项卡替换可视化

**Table.** 基础数据的表示，显示为分页数据网格。 您可以通过单击每个列顶部的表标题来对表中的项进行排序

**Request. **用于查询服务器的原始请求，以 **JSON **格式显示。

**Response.** 来自服务器的原始响应，以 **JSON **格式显示。

**Statistics. **与请求和响应相关的统计信息的摘要，以数据网格形式显示。 数据网格包括查询持续时间，

请求持续时间，在服务器上找到的记录的总数以及用于进行查询的索引模式

要将可视化后面的原始数据作为逗号分隔值（**CSV**）文件导出，请单击任何详

细信息选项卡底部的 **Raw**（原始）或 **Formatted**（格式化）链接。 原始导出包含存储在 **Elasticsearch **中的数据。 格式化导出包含任何适用的 **Kibana **字段格式化程序的结果。