# String Field Formatters（字符串字段格式化程序）

原文链接 : [https://www.elastic.co/guide/en/kibana/5.2/field-formatters-string.html](https://www.elastic.co/guide/en/kibana/5.2/field-formatters-string.html)

译文链接 : [http://www.apache.wiki/pages/viewpage.action?pageId=8159937](http://www.apache.wiki/pages/viewpage.action?pageId=8159937)

贡献者 : [小瑶](/display/~chenyao)，[ApacheCN](/display/~apachecn)，[Apache中文网](/display/~apachechina)

字符串字段支持 **String** 和 **Url** 格式化程序（**formatters**）。

**String** 字段格式化程序可以对字段的内容应用以下转换 : 

*   转换为小写
*   转换为大写
*   转换为标题大小写
*   应用短点变换，用内容的第一个字母替换一个 . 前边的内容，如以下示例所示：

| 原始 | 变换之后 |
| --- | --- |
| **com.organizations.project.ClassName** | **c.o.p.ClassName** |

**url** 字段格式化程序可以采用以下以下类型 : 

*   链接（**Link**）类型字段将字段的内容转换为 **URL** 。
*   图像（**Image**）类型可用于指定指定图像所在的图像目录。

你可以使用模板（**templates**）自定义任一类型的 **URL** 字段。一个 **URL** 字段（**_URL template_**）允许您将特定的值添加到部分 **URL** （**partial URL**）。使用字符串** {{value}}** 将字段的内容添加到固定的 **URL** 。

例如，当 : 

1.  字段包含用户标识（**user ID**）
2.  该字段使用 **Url** 字段格式化程序（**Url field ****formatter**）
3.  **URI** 模板为 **http://company.net/profiles?user_id={­{value}­}**

生成的 **URL** 将使用该字段中的用户 **ID** 替换** {{value}}** 。

**{{value}}** 模板字符串对字段的内容进行 **URL** 编码。当编码到 URL 中的字段包含**非 ASCII** 字符时，这些字符将替换为 **%** 字符和适当的十六进制代码。例如，字段内容 **users/admin** 导致 **URL** 模板添加 **users%2Fadmin** 。

当格式化程序（**formatter**）类型设置为 **Image** 时，**{{value}}** 模板字符串指定指定 **URI** 处图像的名称。

要将未转义的值（**unescaped values**）直接传递到 URL ，请使用** {{rawValue}}** 字符串。

使用标签模板（**Label Template**），您可以指定显示的文本字符串，而不是原始的 **URL** 。您可以在标签模板中正常使用** {{value}}** 模板字符串。您还可以使用** {{url}}** 模板字符串来显示格式化的 **URL** 。