# Numeric Field Formatters（数值字段格式化）

原文链接 : [https://www.elastic.co/guide/en/kibana/5.2/field-formatters-numeric.html](https://www.elastic.co/guide/en/kibana/5.2/field-formatters-numeric.html)

译文链接 : [http://www.apache.wiki/pages/viewpage.action?pageId=8160031](http://www.apache.wiki/pages/viewpage.action?pageId=8160031)

贡献者 : [小瑶](/display/~chenyao)，[ApacheCN](/display/~apachecn)，[Apache中文网](/display/~apachechina)

数值字段（**Numeric fields**）支持 Url，字节（**Bytes**），持续时间（**Duration**），数字（**Number**），百分比（Percentage），字符串（**String**）和颜色（**Color**）格式化（**formatters**）。

**Url** 字段格式化程序可以采用以下类型 : 

*   链接（**Link**）类型将字段的内容转换为 **URL** 。
*   图像（**Image**）类型可用于指定指定图像所在的图像目录。

您可以使用模板自定义任一类型的 **URL** 字段格式。 **URL** 模板允许您将特定值添加到部分 **URL** 。使用字符串 **{{value}}** 将字段的内容添加到固定的 **URL** 。

例如，当 : 

*   字段包含用户标识（**user ID**）
*   该字段使用 **Url** 字段格式化程序（**Url field formatter**）
*   **URI** 模板为 **http://company.net/profiles?user_id={­{value}­}**

生成的 **URL** 将使用该字段中的用户** ID** 替换** {{value}}** 。

**{{value}}** 模板字符串对字段的内容进行** URL** 编码。当编码到 URL 中的字段包含**非 ASCII** 字符时，这些字符将替换为** %** 字符和适当的十六进制代码。例如，字段内容 **users/admin** 导致** URL** 模板添加 **users%2Fadmin** 。

当格式化程序（**formatter**）类型设置为 **Image** 时，**{{value}}** 模板字符串指定指定 **URI** 处图像的名称。

要将未转义的值（**unescaped values**）直接传递到 URL ，请使用** {{rawValue}}** 字符串。

使用标签模板（**Label Template**），您可以指定显示的文本字符串，而不是原始的 **URL** 。您可以在标签模板中正常使用** {{value}}** 模板字符串。您还可以使用** {{url}}** 模板字符串来显示格式化的** URL** 。

**String** 字段格式化程序可以对字段的内容应用以下转换 : 

a.转换为小写

b.转换为大写

c.转换为标题大小写

d.应用短点变换，用内容的第一个字母替换一个 . 前边的内容，如以下示例所示 : 

| 原始 | 变换之后 |
| --- | --- |
| **com.organizations.project.ClassName** | **c.o.p.ClassName** |

持续时间字段格式化程序（**Duration field formatter**）可以按以下增量显示字段的数值（**numeric value of a field**）: 

*   皮秒（**Picoseconds**）
*   纳秒（**Nanoseconds**）
*   微秒（**Microseconds**）
*   毫秒（**Milliseconds**）
*   秒（**Seconds**）
*   分钟（**Minutes**）
*   小时（**Hours**）
*   天（**Days**）
*   周（**Weeks**）
*   月（**Months**）
*   年（**Years**）

您可以为输入和输出格式指定这些增量（**increments**），最多为 **20** 个小数位。

颜色字段格式化程序（**Color field formatter**）使您能够为数字字段（**numeric field**）指定具有特定值范围的颜色。

当您选择颜色字段格式化程序（**Color field formatter**）时， **Kibana** 将显示范围（**Range**），字体颜色（**Font Color**），背景颜色（**Background Color**）和示例字段（**Example fields**）。

单击添加颜色按钮（**Add Color button**）添加一系列值以与特定颜色值相关联。您可以单击字体颜色（**Font Color**）和背景颜色（**Background Color**）字段以显示颜色选择器。您还可以在字段中输入特定的十六进制代码值。当前颜色选择的效果显示在示例字段中。

![](/download/attachments/8160031/colorformatter.png?version=1&modificationDate=1489113659000&api=v2)

字节（**Bytes**），数字（**Number**）和百分比（**Percentage **）格式化程序使您能够使用 **numeral.js** 标准格式定义在此字段中选择数字的显示格式。