# 管理保存的搜索，可视化和仪表盘

原文链接 : [https://www.elastic.co/guide/en/kibana/5.2/managing-saved-objects.html](https://www.elastic.co/guide/en/kibana/5.2/managing-saved-objects.html)

译文链接 : [http://www.apache.wiki/pages/viewpage.action?pageId=8160074](http://www.apache.wiki/pages/viewpage.action?pageId=8160074)

贡献者 : [小瑶](/display/~chenyao)，[ApacheCN](/display/~apachecn)，[Apache中文网](/display/~apachechina)

您可以从 "设置（**Settings**）" &gt; "对象（**Objects**）" 中查看，编辑和删除保存的搜索，可视化和仪表盘。您还可以导出或导入（**export or import** ）搜索，可视化和仪表板集（**sets**）。

查看保存的对象在 "发现" ， "可视化" 或 "仪表板" 页面中显示所选项目。

要查看已保存的对象 : 

1.  转到 "设置（**Settings**）" &gt; "对象（**Objects**）" 。
2.  选择你要查看的对象。
3.  单击查看（**View**）按钮。

编辑保存到对象可以直接修改对象定义（**object definition**）。您可以更改对象的名称，添加描述以及修改定义对象属性的 JSON 。

如果尝试访问已删除其索引的对象， **Kibana** 将显示其 "编辑对象（**Edit Object**）" 页面。您可以：

*   重新创建索引，以便您可以继续使用对象。
*   删除对象并使用不同的索引重新创建它。
*   更改对象的 **kibanaSavedObjectMeta.searchSourceJSON** 中引用的索引名称，以指向现有的索引模式。如果您使用的索引已重命名，这将非常有用。

警告

不会对对象属性执行验证。提交无效更改将使对象不可用。通常，您应该使用发现，可视化或仪表板页面来创建新对象，而不是直接编辑现有对象。

要编辑已保存的对象 : 

1.  转到 "设置（**Settings**）" &gt; "对象（**Objects**）" 。
2.  选择要编辑的对象。
3.  单击编辑（**Edit**）按钮。
4.  对对象定义进行更改。
5.  单击保存对象（**Save Object**）按钮。

要删除已保存的对象 : 

1.  转到 "设置（**Settings**）" &gt; "对象（**Objects**）" 。
2.  选择要删除的对象。
3.  单击删除（**Delete**）按钮。
4.  确认您确定要删除对象。

要导出一组对象（**export a set of objects**）: 

1.  转到 "设置（**Settings**）" &gt; "对象（**Objects**）" 。
2.  选择要导出的对象类型。您可以导出一组仪表板（**dashboards**），搜索（**searches**）或可视化（**visualizations**）。
3.  单击要导出的对象的选择框，或者单击全选框。
4.  单击导出以选择要写入导出的 **JSON** 的位置。

警告

导出的仪表板不包括其关联的索引模式。在将保存的仪表板导入到另一个 **Elasticsearch** 集群上运行的 **Kibana** 实例之前，手动重新创建索引模式。

要导入一组对象 : 

1.  转到 "设置（**Settings**）" &gt; "对象（**Objects**）" 。
2.  单击导入（**Import**）以导航到表示要导入的对象集的 **JSON** 文件。
3.  选择 **JSON** 文件后，单击打开（**Open**）。
4.  如果集合中的任何对象将覆盖已存在于 **Kibana** 中的对象，请确认覆盖。