# 配置插件管理器

原文链接 : [https://www.elastic.co/guide/en/kibana/5.2/_configuring_the_plugin_manager.html](https://www.elastic.co/guide/en/kibana/5.2/_configuring_the_plugin_manager.html)

译文链接 : [http://www.apache.wiki/pages/viewpage.action?pageId=8160331](http://www.apache.wiki/pages/viewpage.action?pageId=8160331)

贡献者 : [小瑶](/display/~chenyao)，[ApacheCN](/display/~apachecn)，[Apache中文网](/display/~apachechina)

默认情况下，插件管理器会向您提供有关您要求插件管理器执行的活动状态的反馈。您可以使用** – quiet** 和 **--slient** 选项控制安装和删除命令的反馈级别。使用 **--quiet** 选项可抑制所有非错误输出。使用 **--slient** 选项来抑制所有输出。

默认情况下，插件管理器安装请求不会超时，使用 **--timeout** 选项，后跟一个时间，以更改此行为，如以下示例所示 : 

**在失败前等待 30 秒。**

```
bin/kibana-plugin install --timeout 30s sample-plugin
```

**在失败前等待 1 分钟。**

```
bin/kibana-plugin install --timeout 1m sample-plugin
```

### 插件和自定义 **Kibana** 配置

使用 **-c** 或者 **--config** 选项与 **install** 和 **remove** 命令可指定用于启动 **Kibana** 的配置文件的路径（**path**）。默认情况下， **Kibana** 使用配置文件 **config/kibana.yml** 。当更改已安装的插件时， **bin/kibana-plugin** 命令将重新启动 **Kibana** 服务器。当您使用自定义配置文件时，必须在每次使用 **bin/kibana-plugin** 命令时指定该配置文件的路径。

### 插件管理器退出代码

| **0** | **success**（成功） |
| **64** | 未知命令或不正确的选项参数 |
| **74** | **I/O error**（**I/O** 错误） |
| **70** | 其他错误 |